Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# if

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# if

- NAME
- SYNOPSIS
- DESCRIPTION
- BUGS
- AUTHOR

# NAME

if - `use` a Perl module if a condition holds

# SYNOPSIS

      use if CONDITION, MODULE => ARGUMENTS;

# DESCRIPTION

The construct

      use if CONDITION, MODULE => ARGUMENTS;

has no effect unless `CONDITION` is true. In this case the effect is the same as of

      use MODULE ARGUMENTS;

Above `=>` provides necessary quoting of `MODULE` . If not used (e.g., no ARGUMENTS to give), you'd better quote `MODULE` yourselves.

# BUGS

The current implementation does not allow specification of the required version of the module.

# AUTHOR

Ilya Zakharevich mailto:ilyaz@cpan.org.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- BUGS
- AUTHOR